@import url('https://fonts.googleapis.com/css2?family=Alata&family=Niconne&family=Rokkitt:wght@100..900&display=swap');
:root
{
  --MainColor: #F0E68C;
  --previewHeaderColor: rgba(255,255,255:0.1);
  --bgURL: url("Misc/Zorya_Transparent.png");
  --linkColor:#d9c027;
  --linkHoverColor:#ffde11;
   --bgURL:url("https://illuminaryidiot.neocities.org/Misc/BG.png");
  --bgImage:url("https://illuminaryidiot.neocities.org/Misc/BG.png");
     --PageBackgroundColor: rgba(0,0,0,0.6);
     --AccentColor: "SaddleBrown";
}

body {
  background-color: Black;
  color:White;
	font-family:"Century Gothic",Sans-Serif;
	margin: 0;

	padding-top:0;
	 
background-image: url("data:image/svg+xml,<svg id='patternId' width='100%' height='100%' xmlns='http://www.w3.org/2000/svg'><defs><pattern id='a' patternUnits='userSpaceOnUse' width='100' height='100' patternTransform='scale(3) rotate(0)'><rect x='0' y='0' width='100%' height='100%' fill='hsla(285,100%,12.2%,1)'/><path d='M80.84 0c.32 1.39-.3 3.19.9 4.18 1.22 1.02 2.87-.4 4.18-.59 1.6-.22 3.23.18 4.76.63 1.7.5 3.46.79 5.22.54 1.17-.17 2.76-1 2.88-2.3.05-.63.22-1.46-.45-1.8-1.47-.73-3.61.01-5.2-.29A2.13 2.13 0 0192.2 0H80.84zM53.21 3.6c-2.25.03-4.03 2.16-5.2 3.96-1.26 1.93-3.45 1.93-4.97 3.44-1.2 1.2-1.56 3.29-1.4 4.92.23 2.58 2 7.11-1.76 8-2.52.6-5.45-.75-8.05-.75-2.76 0-2.68 3.47-1.85 5.25.92 1.93 3.26 2.6 4.35 4.41 1.03 1.72-1.07 4.07-2.1 5.28-1.18 1.4-2.5 2.83-2.73 4.72-.17 1.34.83 2.17 1.83 2.5 2.01.43 3.93-.28 5.73-1.12 1.53-.71 3.18-1.38 4.44-2.54 2-1.84 1.67-5.17 3.83-7 3.36-2.9 7.48.77 10 3C56.84 39 59.18 40.5 61 39c3.33-2.83 1.17-7.17-2-8.96-1.25-.71-3.13-1.9-3.92-3.1a3 3 0 01.42-3.88c1.3-1.26 2.52-2.64 3.8-3.95 1.01-1.04 2.86-2.36 2.19-4.03-.5-1.24-1.86-1.84-2.74-2.76-.84-.88-1.3-2-1.66-3.15-.5-1.62-.69-4.66-2.59-5.34a3.76 3.76 0 00-1.3-.22zm38.25 30.52c-2.61-.02-4.14 4.16-6.3 5.88-.6.48-1.69.93-2.5.67C81 40 79 37.33 77.34 39.5c-.68 1.02-.15 2.29.1 3.35a9.1 9.1 0 01.19 3.22c-.56 4.72-5.8 3.69-9.03 4.96-1.16.46-2.72 1.3-2.42 2.8.16 1.34 1.16 2.5 2.5 2 1.98-.74 4.6-.95 6.46.23 1.14.72 1.48 2.8 3 2.5 1.5-.28 2.87-1 4.38-1.26 2.35-.4 4.78.15 7.1.54 1.18.2 2.92.88 3.61-.52.46-.93.18-2.37-.08-3.33-.72-2.71-2.43-5.57-.84-8.37 1.87-3.29 4.53-8.95.53-11.12a3 3 0 00-1.37-.38zM26.32 57.54c-.39 0-.76.03-1.07.15C22.33 58.83 23 63 22.17 65.5c-1.17 2.83-5 .83-6.34 2.67C14.5 70 14 72.5 12.41 74.32c-1.65 1.97-3.55 3.73-5.41 5.51a5.12 5.12 0 00-1.67 2.5A2.1 2.1 0 006.83 85c2.12.53 4.34-.55 6.48.25 1.72.65 1.97 2.07 2.23 3.73.26 1.7.53 3.41 2.01 4.53.64.49 1.33.85 2.05 1 1.7.39 3.21-.6 4.57-1.51 4.16-2.83 8.16-10.17 13.37-7.27.83.35 1.74.51 2.63.27 1.53-.42 1.98-2.2 1.78-3.72-.73-5.35-8-5.25-11.04-8.6-3.19-3.5.9-8.98.42-13.01-.16-1.42-1.2-2.21-2.52-2.63a9.63 9.63 0 00-2.5-.5zm51.93 22.79c-1.03.03-1.96.79-2.36 2.25-.43 1.6-.03 3.43.59 4.94.7 1.7 2.17 3.62 1.52 5.55-.23.68-1.22 1.48-.83 2.26.83 1.67 2.75 2.52 3.52 4.19.07.15.12.31.16.48H92.2c-2.04-1.54 1.61-6.7-1.35-8.18-1.48-.74-3.05.18-4.53.35-1.66 0-1.43-2.2-1.12-3.26.44-1.47 1.72-2.43 2.24-3.85.27-.72.03-1.41-1.07-1.4-.99 0-2.07.74-3.04.43-1.2-.37-1.91-1.65-2.68-2.54-.73-.84-1.6-1.25-2.4-1.22z'  stroke-width='1' stroke='none' fill='%23f3314e78'/><path d='M31.68 0c-.4 1.01-.95 1.97-1.06 3.07-.11 1.1.79 1.78 1.66 2.25 1.97 1.08 3.26 2.87 4.88 4.37.92.85 1.84 1.31 2.67.48 1.47-1.32 2.59-2.9 4.19-4.08a25.7 25.7 0 015.02-2.78A20.77 20.77 0 0054.33 0zm38.44 0c-.45 1.37-.82 2.83-1.45 3.83-1.34 2.5-4.5 2-6.84 3.34-.83.5-1.16 1.33-1.33 2.33-.06.67.28 1.22.83 1.72a6.7 6.7 0 00.96.7c.36.22.76.43 1.16.64.72.44 1.72.77 2.38 1.27.5.42 1 .8 1.45 1.22a8.94 8.94 0 011.12 1.37c2.1 2.25 1.6 7.75 5.1 7.41 4-.33 6.83-6.33 11.45-5.46l1.72.13c.66 0 1.5-.67 1.66-1.33.34-1.34-.83-2.5-1.66-3.17-2-2-5.17-1.83-7.29-3.8a5.13 5.13 0 01-.83-1.25c-.93-2.78.81-6.17.1-8.95zM6 24.28a6.53 6.53 0 00-2.47.46C1.2 26 .98 28.04 2 30.32c1.33 2.68 3.5 5.85 1.5 8.85-.78 1.16-2.2 1.4-3.5 1.64v9.61c2.13-.16 4.33.08 3.48 2.54-.64 1.84-3.1 5.94.02 6.87 2.62.79 5.52-1 7.96.6 2.21 1.45 3.1 4.6 6.05 4.95 1.83.21 3.38-1.6 3.57-3.3.18-1.62-.85-3.32-.18-4.92.41-.97 1.42-.8 2.26-.69 1.29.16 2.54.22 3.83.05 2.09-.27 3.94-1.41 3.94-3.71 0-3.94-8.77-5.21-5.93-9.48 1.27-1.9 2.93-3.51 4.5-5.17 1.28-1.34 3.32-3.13 2.17-5.16-.67-1-1.84-1.17-2.84-1-4.3.72-8.55 4.62-13.04 2.33-2.17-1.1-2.32-3.85-3.44-5.78-1.23-2.12-2.96-3.91-5.52-4.22a7.59 7.59 0 00-.84-.05zM100 40.81l-.47.08a5.9 5.9 0 00-3.72 2.04 7.2 7.2 0 00-1.14 6.4c.35 1.1 1.47 1.47 2.47 1.4.64-.04 1.74-.23 2.86-.31zM63.61 55.36c-.73.02-1.37.43-2.05.71a7.9 7.9 0 01-2.82.56c-1.88.06-3.85-.1-5.28 1.37-.99 1-1.27 2.41-1.67 3.71-.28.89-1.24 1.98-.42 2.85 1.4 1.48 3.38 1.53 5.13 2.38 1.38.67 3.11 1.62 3.83 3.06 1.29 2.57-2.93 6.39-4.79 7.7-1.3.93-2.66 2.01-2.37 3.8.66 3.17 4.83 4.33 7.66 3.5 2.84-.83 3-4.5 3.55-7.17 1.35-3.3 5.29-2.8 8.17-3.22 2.59-.37 5.04-1.26 6.45-3.61 1.52-2.35-.89-4.49-2.46-5.99-.49-.47-.9-.85-1.19-1.3-.95-1.5-.08-3.29-.43-4.9-.21-.98-.75-1.73-1.92-1.81-1.67-.17-2.67 1.83-4.5 1.5-1.87-.34-2.53-2.68-4.37-3.1a2 2 0 00-.52-.04zm-29.2 30.87c-1.25-.03-2.5.46-3.08 1.6-1.06 2.14-.17 3.88.37 6 .42 1.67.7 3.83.21 5.5a7.75 7.75 0 01-.23.67h22.65c.7-.68 1.21-1.4 1.3-2.1.05-.5-.09-.98-.5-1.44-1.63-1.8-4.13-1.96-6.33-1.74-2.28.22-4.5.61-6.8.61-1.88 0-2.67-2.77-3.08-4.16-.46-1.61-.9-3.38-2.42-4.34a4.22 4.22 0 00-2.09-.6zM3.15 90.98c-1.14 0-2.27.13-3.15.54v7.12c.58.62 1.31.92 2.17.53 1.45-.67 2.34-2 3.45-3.1a5.15 5.15 0 014.5-1.5c1.32.13 2.47 1 3.55-.07.94-.95-1.44-1.89-1.97-2.06a29.69 29.69 0 00-5.97-1.29 22.98 22.98 0 00-2.58-.17zm96.85.54c-1.2.56-1.94 1.66-1.55 3.67a7.5 7.5 0 001.55 3.44v-7.11zm-26.5 4.82c-1.93.04-2.74 1.75-3.38 3.66h8.53a4.4 4.4 0 00-1.46-2.3 7.19 7.19 0 00-1.22-.74 6.5 6.5 0 00-1.32-.47c-.42-.1-.8-.15-1.14-.15z'  stroke-width='1' stroke='none' fill='hsla(266,20.3%,54.7%,1)'/><path d='M11.47 0c-.04 3.4 2.76 5.98 4.2 9 .64 1.36.37 2.32-.29 3.11-1.67 2.01-5.88 2.9-4.24 6.2a17.4 17.4 0 004.54 7.43c1.76 1.69 4.6 3.4 7.18 2.92 2.63-.47 3.26-3 4.15-5.07 1.14-2.63 2.82-3.43 5.57-3.04 1.59.22 3.61.25 4.74-1.09 1.02-1.2 1.33-2.95 1.51-4.46.19-1.49-1.14-2.69-2.06-3.65-.96-1-1.78-2.17-2.86-3.05-1.13-.92-2.46-.87-3.7-1.51-1.44-.74-.88-3.68-.75-4.93.07-.6.17-1.23.26-1.86zm54.2 18.5c-.27 0-.54.06-.84.17-3.5 1.16-7 5.16-5 9.33.84 1.83 2.67 2.83 3.97 4.13.95.94 1.89 2.28 1.78 3.68-.25 3.19-4.58 4.86-4.25 8.02.26 2.43 3.33 4.08 5.3 4.97 2.03.93 4.3 1.2 6.37.2 2-.83 2.83-3 2.87-5 .03-2.12-.34-5.47 2.07-6.47 2.06-.86 4.4-.53 6.56-.86 1.4-.22 2.17-1.19 2.41-2.38.51-2.55-1.04-5.32-2.15-7.51-.86-1.7-1.82-3.76-4.1-3.45-1.96.37-3.17 2.11-4.84 3.03-2.23 1.24-3.62.36-5.2-1.39-1.77-1.94-2.48-6.5-4.96-6.47zm32.18 37.4c-2 .06-3.43 2.68-5.19 3.77-2.83 1.83-5.66-.67-8.5-1.17-2.28-.4-3.32.49-4.95 1.91C75.5 63.67 81.33 66 82.17 69c.66 2-2.34 3.33-3.5 5.33-.84 1.67.16 3.5 1.58 4.46 1.74 1.18 3.45 2.29 5.48 2.92 2.3.53 3.5-1.22 4.8-3 1.39-1.9 2.78-3.47 5.14-1.9 1.62 1.08 2.7 2.84 4.33 3.9V56.84a2.44 2.44 0 00-.67-.52 2.75 2.75 0 00-1.48-.42zM0 56.86V80.7l.1.08c2.2 1.36 3.82.55 5.46-1.17 1.62-1.7 3.31-3.33 4.76-5.2 1.17-1.52 2.54-3.3 2.87-5.27.09-.52.1-1.06.01-1.6-.42-2.67-3.33-3.39-5.57-3.57-1.67-.13-6.4.42-6.96-1.8-.44-1.75.52-4-.67-5.32zm46.7 8.95c-4.04.08-7.93 1.69-10.7 5.08-.8.97-1.66 1.7-.89 2.96a8.41 8.41 0 002.99 2.75c.86.5 1.75.98 2.54 1.59 2.3 1.73 4.77 5.25 1.8 7.7-.6.8-1.3 1.52-1.94 2.29-.86 1.03-.45 2.55.33 3.5 2.5 2 6.84 3.5 9.17.83 1.39-1.59 1.02-3.6.73-5.52-.38-2.44.02-4.3 1-6.55a16.38 16.38 0 014.2-5.92c1.05-1.11 2.15-2.13 2.04-3.78-.12-1.87-1.67-2.3-3.1-3.03a17.55 17.55 0 00-8.18-1.9zM27.46 92.22c-.25 0-.52.1-.8.28-2 1.33-2.17 4.5-4.84 4.5-2.01 0-3.68-1.7-5.56-2.15-2.4-.58-4.58 2.5-4.77 4.67a6.15 6.15 0 00-.03.48h18.25c.23-1.5.43-3.06.11-4.5-.28-1.27-1.03-3.36-2.36-3.28z'  stroke-width='1' stroke='none' fill='hsla(264,56.8%,27.3%,1)'/><path d='M4.65 0c-.6 1.16-1.15 2.35-1.93 3.39A6.4 6.4 0 010 5.45v33.28c2.13-.07 2.05-2.41 1.67-4.33-.8-4.02-4.37-12.12 2.94-11.55 1.53.12 3.05.62 4.6.79.7.08 2.08.5 2.29-.55.17-.91-1.22-1.71-1.72-2.28-2.1-2.4-2.39-5.5-.2-8 .7-.82 3.47-2.01 2.42-3.31C9.67 6.63 8.03 3.3 9.16 0H4.65zm53.27 0a11.7 11.7 0 01-.08.52c-.3 1.6-1.74 3.97-.06 5.24 1.98 1.5 5.52.12 7.34-1.02a7.06 7.06 0 002.78-2.8c.29-.63.4-1.28.49-1.94zM100 5.45c-1.31.55-2.79.79-4.23.99-2.95.4-6-.16-8.94-.51-1.66-.2-4.46-1.03-5.83.36-1.96 2 3.53 3.4 4.65 3.88 1.98.86 3.98 2.06 4.96 4.06.59 1.2.65 2.64.39 3.94-.26 1.27-1.42 2.14-2.63 2.43-1.12.26-2.63-.45-3.62.1-1.33.72.54 2.61 1 3.28.63.95 1.2 1.97 1.49 3.08.3 1.13.14 2.33.49 3.45.4 1.32 1.45 1.54 2.65 1.88 2.01.57 3.47 1.65 4.94 3.1 1.03 1.02 2.31 2.9 3.85 3.18.3.05.58.07.83.06V5.45zm-51.5 30.2c-2.95 0-4.25 6.9-5.18 8.78-.7 1.38-1.73 2.66-3.26 3.16-2.22.72-5.75-.76-7.5 1.15-1.04 1.11-.81 3.17-.43 4.6.7 2.6 2.24 4.97 1.83 7.79-.4 2.8-3.18 5.61-2.85 8.48.29 2.58 3.38.45 4.42-.33 2.99-2.27 6.47-5.13 10.4-5.23 1-.03 2.33.28 3.13-.49.79-.74.78-2.2 1.04-3.17.45-1.67 1.08-3.4 2.63-4.34 2.56-1.58 5.87-.3 8.6-1.22 1.5-.5 2.84-1.83 2.67-3.66-.15-1.08-.85-1.84-1.66-2.5-2.64-1.73-4.08-4.38-5.85-6.87-1.78-2.5-4.18-4.31-6.82-5.8a2.4 2.4 0 00-1.17-.34zM74.43 75.8a3.6 3.6 0 00-.6.03c-2.66.5-5.83 1.34-6.66 4-.75 2.4-.4 4.77-2.1 6.82-1.85 1.44-4.12.62-6.06-.15-1.73-.69-3.9-2.23-5.7-.87-1.19.9-1.8 2.85-1.31 4.2.79 2.14 3.04 2.98 4.49 4.53 1.44 1.53 1.7 3.64 1.42 5.64H68.4c.07-.62.12-1.25.26-1.87.27-1.2 1.24-2.63 2.56-2.9a16.02 16.02 0 003.96-1.4c1-.5 1.83-1.66 1.16-2.66-2.5-4.5-2.83-9.17-.33-13.84.55-1.09-.59-1.51-1.57-1.54zm20.42 2.72a1.84 1.84 0 00-.47.04c-1.24.25-1.65 1.58-2.2 2.54-1.18 2.03-3.82 4.03-4.55 6.19-.31.91-.32 2.58.87 2.88 1.64.65 3.96-1.42 5.17.44.8 1.2.21 3-.1 4.27-.26 1.05-.45 2.12-.07 3.12.67 1.35 1.66 1.11 2.54-.07 1-1.32.5-2.8.87-4.3.45-1.79 1.28-3.59 3.09-4.3v-6.65c-.79-.79-1.54-1.62-2.32-2.37-.73-.7-1.73-1.72-2.83-1.79zM0 82.68v6.66l.12-.05c1.54-.54 3.32-.05 4.86.23 1.95.35 7.83 2.9 8.16-.84.1-1.2-.69-2.09-1.97-2.01-2.34.14-4.46-.51-6.7-1.04-1.79-.47-3.18-1.65-4.47-2.95zm8.94 13.26c-.69.01-1.32.23-1.94.73A11 11 0 004.65 100h4.51a7.87 7.87 0 011.17-2.17c.34-.66.17-1.5-.66-1.83a4.04 4.04 0 00-.73-.06z'  stroke-width='1' stroke='none' fill='hsla(273,40.2%,22.9%,1)'/></pattern></defs><rect width='800%' height='800%' transform='translate(-261,-525)' fill='url(%23a)'/></svg>");
	  font-family:Alata;
}

@media (orientation: landscape) {
  .verticalPage {
    max-width:61vW;
  }
  
  
}

@media (orientation: portrait) {
  .verticalPage {
  max-width:90vW;
  }
.caiImage{
	max-width:80vW;
}
.introDiv{
  top:5% !important;
  font-size:1em !important;
}
}
@keyframes loadingAnim
{
  0%{transform:translateX(-200%);}
  50%{transform:translateX(100%);}
  100%{transform:translateX(400%);}
}
@keyframes fadeIn
{
 0%{opacity:0%};
 100%{opacity:100%};
}
*{
	box-sizing: border-box;	
}
.title h1{
	text-shadow:0 0 2px #ffffff, 0 0 100px #ffffff;
	text-align: center;
	color:white;
	width:auto;
	background-color:transparent;
	font-family:"Century Gothic";
}
.title h1:hover{
	text-shadow:0 0 15px #ffffff, 0 0 100px #ffffff;
}
a {
	color:cornflowerblue;
	font-size: 1.1em;
	animation:none;
}

h1, h2{
	width:fit-content;
}
h1{
	background-color:tomato;
}
h2{
background-color:LightSkyBlue;	
}

.title{
	position:relative;
	text-align: center;
	margin:0;
}
.title a{
     text-decoration: none;
}
hr {
	color: var(--MainColor);
	border-color: var(--MainColor);
}
.centeredImage{
	display:flex;
	justify-content:center;
}
.centeredImage img{
	height:50vH;
	width:auto;
	transform:scale(1);
}
.centeredImage img:hover{
	transform:scale(1.7);
}
.hiddenText{
	text-align: center;
	color:rgba(0,0,0,0);
}
.hidden{
	display:none !important;
}
.imageGallery img
{
  padding-top:5px; 
 padding-bottom:5px; 
}
.imageGallery img:hover
{
  cursor: pointer;
}
::-webkit-scrollbar{
	width:10px;
}
::-webkit-scrollbar-track{
	background:var(--AccentColor) !important;
}
::-webkit-scrollbar-thumb {
  background: var(--MainColor) !important; 
}
@supports ( -moz-appearance:none ){
html {
 scroll-behavior: smooth;
  scrollbar-color: SaddleBrown var(--MainColor);
  scrollbar-width: 10pX;
}
}
.verticalPage{
	display:block;
	margin:auto;
	background-color: moccasin;
	padding-left:1vW;
	padding-right:1.5vW;
	margin-bottom:2vH;
	position:relative;
	line-height: 140%;
	text-align:left;
	box-shadow:1vW 1vH coral;
	  color:black;
padding-top:2em;
padding-bottom:2em;
}

ul
{
text-align:left !important;
left:0 !important;
margin-left:0 !important;
margin-right:auto !important;
}
details{
  background-color:plum;
  box-shadow:1em 1em mediumaquamarine;
}

.void{
  background-color:black;
  opacity:1;
  width:100vW;
  position:fixed;
  height:100vH;
  top:0;
  z-index: 9;
}

.fade{
  animation: fadeOut 1s 1;
  animation-fill-mode: forwards;
  pointer-events: none;
}

@keyframes fadeOut{
  0%{opacity:1;}
  100%{opacity:0;}
}

@keyframes shadowBounce{
	25%{box-shadow:1vW 0.5vH LawnGreen;}
	50%{box-shadow:1vW 1vH 3px LawnGreen;}
	75%{box-shadow:0.5vW 1vH LawnGreen;}
}

.introDiv{
  background-color:Coral;
  width: fit-content;
height: fit-content;
  padding:1%;
  box-shadow:0.5vW 0.5vH LawnGreen;
  margin:auto;
  position:relative;
  top:45%;
  color:black;
  	font-family:"Alata";
	font-weight:400;
	font-size:1.2em;
	  animation: shadowBounce 0.5s infinite;
	  animation-play-state: paused;
	  max-width:50vW;
}
.introDiv:hover{
	animation: shadowBounce 0.5s infinite;
	animation-timing-function:linear;
	animation-play-state: playing;
}
.introDiv button{
	background-color:transparent;
	border:none;
	text-decoration: underline;
	color:black;
	font-family:"Alata";
	font-weight:700;
	font-size:1.2em;
}
.introDiv button:hover{
	cursor: pointer;
}
.caiImage{
	max-width:40%;
}
.caiImage img{
	max-width:100%;
}
.caiImage small{
	margin-left: 1.5vW;
	color:black;
	position:relative;
	z-index:1;
}
video{
	max-height:25vH;
	width:auto;
}

canvas{
	max-width:50vW;
	max-height:25vH;
	background-color:WhiteSmoke;
}
.quote{
	font-family:"Niconne";
	font-size:1.2em;
	background-color:salmon;
	width:fit-content;
	box-shadow:0.5em 0.5em LightSeaGreen;
}
.imageDisplay{
	display:flex;
	flex-direction:row;
	flex-wrap: wrap;
	gap:3px;
	background-color:lightslategrey;
	padding:1%;
	box-shadow: 1em 1em darkolivegreen;
}
.imageDisplay img
{
	max-height:25vH;
	width:auto;
}
.imageDisplay img:hover
{
	transform:scale(2);
	transition: transform 0.5s;
}
.toc{
	background-color:powderblue;
	width:fit-content;
	padding-right:0.5em;
	padding-bottom:0.5em;
	box-shadow:1em 1em salmon;
}
.toc p{
	padding-left:0.5em;
}